%define installdir %apache_htdocsdir/addon-modules/horde3
%define cvsdate 20080613

Name: horde3
Version: 3.2.1
Release: alt1.cvs.%cvsdate

Summary: The common Horde Framework for all Horde modules, H3 branch
License: LGPL
Group: Networking/Other

Packager: Denis Klimov <zver@altlinux.ru>
# git-cvsimport -v -o upstream -d :pserver:cvsread@anoncvs.horde.org:/repository horde
URL: http://www.horde.org/
BuildArch: noarch

Source: horde3.tar
Source1: horde3.conf

Requires: pear-core >= 1.3.1
Requires: pear-Log
Requires: php-engine
Requires: apache-common >= 1.3.31rusPL30.20-alt10
BuildRequires: apache-devel

# Speed-up build process
AutoReqProv: off
%define _verify_elf_method skip
%define _strip_method none

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%package apache
Summary: Apache conf files for Horde
Group: Networking/Other
Requires: %name = %version-%release

%description apache
This package provides Apache config files for Horde.

%package php
Summary: PHP depends for horde3
Group: Networking/Mail
Requires: php-imap

%description php
PHP depends for horde3

%package php5
Summary: PHP5 depends for horde3
Group: Networking/Mail
Requires: php5-imap

%description php5
PHP5 depends for horde3

%prep
%setup -n horde3

%build

%install
mkdir -p %buildroot%apache_addonconfdir.d
cp -p %SOURCE1 %buildroot%apache_addonconfdir.d
mkdir -p %buildroot%installdir
cp --preserve -pR * %buildroot%installdir/
rm -rf %buildroot%installdir/docs
rm -f %buildroot%installdir/{README,COPYING}
chmod go-rwx %buildroot%installdir/test.php
cd %buildroot%installdir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%post apache
%_initdir/httpd condrestart >/dev/null 2>&1 ||:

%postun apache
%_initdir/httpd condrestart >/dev/null 2>&1 ||:

%files
# Include top-level files by hand
%installdir/*.php
%installdir/admin
%installdir/js
%installdir/locale
%installdir/lib
%installdir/po
%installdir/scripts
%installdir/services
%installdir/templates
%installdir/themes
%installdir/util
%installdir/rpc
%doc docs/* README
# Mark configuration files with %%config and use secure permissions
# (note that .dist files are considered software; don't mark %%config)
%dir %attr(750,root,apache) %installdir/config
%attr(640,root,apache) %installdir/config/.htaccess
%attr(640,root,apache) %installdir/config/*.dist
%attr(640,root,apache) %installdir/config/*.xml
%config(noreplace) %attr(640,root,apache) %installdir/config/*.php
%dir %installdir

%files apache
# Apache horde3.conf file
%config(noreplace) %apache_addonconfdir.d/horde3.conf

%files php

%files php5

%changelog
* Fri Aug 15 2008 Denis Klimov <zver@altlinux.ru> 3.2.1-alt1.cvs.20080613
- build for new version

* Tue Jan 15 2008 Denis Klimov <zver@altlinux.ru> 3.1.6-alt2.cvs.20080111
- change BuildPreReq to BuildRequires
- add pear-Log requires

* Tue Oct 09 2007 Denis Klimov <zver@altlinux.ru> 3.1.6-alt2.cvs.20070929
- fix requires with pear-core

* Fri Oct 05 2007 Denis Klimov <zver@altlinux.ru> 3.1.6-alt1.cvs.20070929
- build for new version
- remove -q key setup macros

* Wed May 2 2007 Denis Klimov <zver@altlinux.ru> 3.1.4-alt1
- add sub packages for apache, php4, php5
- 3.1.4

* Thu Nov 24 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.7-alt1
- 3.0.7
  + Fix XSS vulnerabilities in gzip/tar and css MIME viewers!
- require php-engine instead of mod_php (#8418)

* Wed Oct 12 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.5-alt1
- 3.0.5
- documentation moved to %%doc

* Wed Jun 15 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.4-alt1
- 3.0.4
- Sisyphus build

* Sat Mar 26 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.3-ucvt3
- small fixes

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 3.0.3-ucvt1
- 3.0.3
- renamed to horde3
- removed ldap-at-strip.patch

* Mon Nov 01 2004 Leonid Shalupov <shalupov@altlinux.ru> 2.2.7-ucvt2
- added ldap-at-strip.patch

* Mon Nov 01 2004 Leonid Shalupov <shalupov@altlinux.ru> 2.2.7-ucvt1
- 2.2.7

* Tue Sep 21 2004 Vladimir Lettiev <crux@altlinux.ru> 2.2.6-alt0.1.RC2
- 2.2.6-RC2
- horde.conf moved to %apache_addonconfdir.d
  (thats requires latest version of apache-common)

* Mon Apr 05 2004 Vladimir Lettiev <crux@altlinux.ru> 2.2.5-alt1
- initial release for Sisyphus

